Google Web Toolkit
Search Google Code:

# Class JavaScriptException

public final class JavaScriptException
extends RuntimeException
Any JavaScript exceptions occurring within JSNI methods are wrapped as this class when caught in Java code. The wrapping does not occur until the exception passes out of JSNI into Java. Before that, the thrown object remains a native JavaScript exception object, and can be caught in JSNI as normal.

## Constructors

JavaScriptException(String, String) |
JavaScriptException(String) | Useful for server-side instantiation.

## Methods

getDescription() |
getName() |

## Constructor Detail

### JavaScriptException

public JavaScriptException(String name, String description)

#### Parameters

name
  the original JavaScript type name of the exception
description
  the original JavaScript message of the exception

### JavaScriptException

protected JavaScriptException(String message)
Useful for server-side instantiation.

#### Parameters

message
  the detail message.

## Method Detail

### getDescription

public String getDescription()

#### Return Value

the original JavaScript message of the exception

### getName

public String getName()

#### Return Value

the original JavaScript type name of the exception